Foreman - Bug #16627

Puppet general tab new error on 1.12.3
09/20/2016 05:15 PM - Matheus Gomes

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Reporting
Target version: 1.12.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.12.3
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3875
Description

Smart proxy, puppet, general

Versionl.12.3
Hosts managed:288
Oops, we're sorry but something went wrong PG::Error: ERROR: missing FROM-clause entry for table "

smart_proxies"™ LINE 1: ..." WHERE "hosts"."type" IN ('Host::Managed') AND (("smart_pro... * : SELE
CT COUNT (count_column) FROM (SELECT 1 AS count_column FROM "reports" INNER JOIN "hosts" ON "hosts"
."id" = "reports"."host_id" AND "hosts"."type" IN ('Host::Managed') WHERE "reports"."type" IN ('Co
nfigReport') AND (status <> 0) AND "reports"."host_id" IN (SELECT "hosts"."id" FROM "hosts" WHERE

"hosts"."type" IN ('Host::Managed') AND (("smart_proxies"."name" = 'ny4lpmasterl'))) AND (("report

s"."reported_at" >= '2016-09-14")) LIMIT 9) subquery_for_count

FULL TRACE

ActiveRecord: :StatementInvalid

PG::Error: ERROR: missing FROM-clause entry for table "smart_proxies"™ LINE 1: ..." WHERE "hosts"."
type" IN ('Host::Managed') AND (("smart_pro... * : SELECT COUNT (count_column) FROM (SELECT 1 AS co
unt_column FROM "reports" INNER JOIN "hosts" ON "hosts"."id" = "reports"."host_id" AND "hosts"."ty

pe" IN ('Host::Managed') WHERE "reports"."type" IN ('ConfigReport') AND (status <> 0) AND "reports
"."host_id" IN (SELECT "hosts"."id" FROM "hosts" WHERE "hosts"."type" IN ('Host::Managed') AND ( ("
smart_proxies"."name" = 'ny4lpmasterl'))) AND (("reports"."reported_at" >= '2016-09-14")) LIMIT 9)
subgquery_for_count
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/postgresql_adapter.rb:592:in “exec'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/postgresqgl_adapter.rb:592:in “block in exec_no_cache'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/abstract_adapter.rb:472:in “block in log'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/abstract_adapter.rb:466:in "“log'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/postgresqgl_adapter.rb:592:in ‘exec_no_cache'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/postgresql_adapter.rb:584:in ‘execute_and_clear'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/postgresqgl/database_statements.rb:160:in "exec_guery'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/abstract/database_statements.rb:355:in "“select'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/abstract/database_statements.rb:32:in ‘select_all'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/abstract/query_cache.rb:68:in "block in select_all'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/connection_adap
ters/abstract/query_cache.rb:83:in 'cache_sqgl'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/abstract/query_cache.rb:68:in “select_all'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/relation/calcul
ations.rb:264:1in “execute_simple_calculation'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/relation/calcul
ations.rb:221:in “perform_calculation'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/relation/calcul
ations.rb:127:in “calculate'’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/relation/calcul
ations.rb:125:in “calculate’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/relation/calcul
ations.rb:42:in "count'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/relation.rb:268
:in Cempty?!

/usr/share/foreman/app/views/dashboard/_reports_widget.html.erb:4:in ~_e6ffbad40ac28363cebfd5eflaf2
54485"
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:145:in
"block in render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:166:1in "~ instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:333:in
‘instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:143:1in
‘render'
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/1ib/deface/action_view_extensions.rb:41:
in "“render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/renderer/partial_re
nderer.rb:339:in ‘render_partial'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1ib/action_view/renderer/partial_re
nderer.rb:310:in “block in render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/abstract_r
enderer.rb:39:in “block in instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in "block in instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in " instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/abstract_r
enderer.rb:39:in " instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/renderer/partial_re
nderer.rb:309:in "render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/renderer/renderer.r
b:51:in "render_partial'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/renderer.r
b:25:in “render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/helpers/rendering_h
elper.rb:32:in "render'
/usr/share/foreman/app/views/smart_proxies/plugins/_puppet_dashboard.html.erb:2:in _1e6503904d39%a
p973d7dacd30cd64dced’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:145:in
"block in render'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:166:in "~ instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:333:1in
“instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:143:in
‘render'
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/1lib/deface/action_view_extensions.rb:41:
in “render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1ib/action_view/renderer/partial_re
nderer.rb:339:in "render_partial'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/partial_re
nderer.rb:310:in “block in render'

05/18/2024 2/7




/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/abstract_r
enderer.rb:39:in “block in instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1lib/active_support/notifications
.rb:164:in “block in instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in "~ instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/abstract_r

enderer.rb:39:in " instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview—4.
nderer.rb:309:in "render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.
b:51:in “render_partial'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.
b:25:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview—4.
‘_render_template'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.
ng.rb:217:in " _render_template'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.

‘render'

‘render_to_body'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.
ng.rb:32:in “render_to_body'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.
rs.rb:37:in "render_to_body'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.
b:25:in "“render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.

.1/1lib/action_view/renderer/partial_re
.1/1lib/action_view/renderer/renderer.r
.1/1lib/action_view/renderer/renderer.r
.1/1lib/action_view/rendering.rb:100:1in
.1/1lib/action_controller/metal/streami
.1/lib/action_view/rendering.rb:83:1in

.1/1ib/action_controller/metal/renderi
.1/1lib/action_controller/metal/rendere
.1/1lib/abstract_controller/rendering.r

.1/1ib/action_controller/metal/renderi

ng.rb:16:in “render'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
"block (2 levels)
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/core_ext/benc
hmark.rb:12:in "block in ms'

/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in “realtime’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/core_ext/benc
hmark.rb:12:in "ms'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_controller/metal/instrum

entation.rb:44:in in render'

entation.rb:44:in “block in render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:87:in “cleanup_view_runtime'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/railties/contro
ller_runtime.rb:25:in "cleanup_view_runtime'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:43:in “render'

/usr/share/foreman/app/controllers/smart_proxies_controller.rb:68:in "puppet_dashboard'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_controller/metal/implici
t_render.rb:4:in "“send_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/abstract_controller/base.rb:198
:in “process_action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.
ng.rb:10:in “process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.

1/1lib/action_controller/metal/renderi

1/1ib/abstract_controller/callbacks.r
b:20:in "block in process_action'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
117:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.
117:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.
555:in “block (2 levels) in compile'’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.
505:in ‘call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.
505:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.
498:1in “block (2 levels)
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

.1/1lib/active_support/callbacks.rb:

.1/1ib/active_support/callbacks.rb:

.1/1lib/active_support/callbacks.rb:

.1/1ib/active_support/callbacks.rb:

.1/1lib/active_support/callbacks.rb:
in around'

.1/1lib/active_support/callbacks.rb:
313:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

313:in "block (2 levels) in halting'

/opt/theforeman/tfm/root/usr/share/gems/gems/rails—-observers-0.1.2/1ib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in “around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

455:in ‘public_send'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

455:in “block in make_lambda'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—4.

312:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—-4.

312:in “block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

497:in “call'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

497:in “block in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.

505:in “call’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

505:in “call"'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

498:1in “block (2 levels) in around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

313:in “call’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.

313:in "block (2 levels) in halting'

.1/1ib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.

.1/1ib/active_support/callbacks.

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.

432:1in “block in make_lambda'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

312:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—-4.

312:in "block in halting'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

497:in “call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

497:in “block in around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

505:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

505:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

498:1in "block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

313:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.

313:in "block (2 levels) in halting'

5

.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.

.1/1ib/active_support/callbacks.

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.

432:1in "block in make_lambda'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

312:in “call"'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

312:in "block in halting'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

497:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.

497:in “block in around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

505:in “call"'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

505:in “call"’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

498:1n “block (2 levels) in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—4.

313:in “call’
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.

.1/1ib/active_support/callbacks.
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
313:in "block (2 levels) in halting’
/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/1ib/rails/observers/action_cont
roller/caching/sweeping.rb:73:in “around'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
455:in “public_send'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
455:in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.
312:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.
312:in “block in halting'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.
497:in ‘call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.
497:in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.
505:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.
505:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.
92:1in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.
778:in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4
8l:in “run_callbacks'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/abstract_controller/callbacks.r
b:19:in ‘process_action'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/rescue.

"block in make_lambda'
1/1lib/active_support/callbacks.rb:

1/lib/active_support/callbacks.rb:

1/1ib/active_support/callbacks.rb:

1/1ib/active_support/callbacks.rb:
"block in around'
1/1lib/active_support/callbacks.rb:

1/lib/active_support/callbacks.rb:

1/1lib/active_support/callbacks.rb:
‘_ _run_callbacks_ '

1/1ib/active_support/callbacks.rb:
' _run_process_action_callbacks'

.2.5.1/1ib/active_support/callbacks.rb:

rb:29:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:32:in “block in process_action'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in “block in instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1lib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.

“instrument'

1/1lib/action_controller/metal/instrum
entation.rb:30:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/params_
wrapper.rb:250:in ‘process_action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.
ller_runtime.rb:18:in “process_action'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.

5.1/1lib/active_record/railties/contro

1/1ib/abstract_controller/base.rb:137
:in “process'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1ib/action_view/rendering.rb:30:in
‘process'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.
in “dispatch'’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.
legation.rb:13:in “dispatch’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.

1/1lib/action_controller/metal.rb:196:

1/1lib/action_controller/metal/rack_de

1/1lib/action_controller/metal.rb:237:

in “block in action'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
et.rb:74:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.
et.rb:74:in “dispatch'’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
et.rb:43:1in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.
rb:43:1in
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.
rb:30:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.
rb:30:1in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.

‘serve'

"block in serve'

“each'

“serve'
5.1/1lib/action_dispatch/routing/route_s
5.1/1lib/action_dispatch/routing/route_s
5.1/1ib/action_dispatch/routing/route_s
5.1/1ib/action_dispatch/journey/router.
5.1/1lib/action_dispatch/journey/router.
5.1/1lib/action_dispatch/journey/router.

5.1/1lib/action_dispatch/routing/route_s
et.rb:815:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/static_dispatcher.rb:65
:in “call!
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/extractor/recorder.rb:1
32:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/stat
ic.rb:116:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/stat
ic.rb:116:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/middleware/checksum_in_
headers.rb:27:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/etag.rb:24:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/conditionalget.rb:25:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/head.rb:13:in ‘call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/para
ms_parser.rb:27:in “call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/flas
h.rb:260:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/session/abstract/id.rb:225:in "con
text'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/session/abstract/id.rb:220:in ‘cal
ll
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/cook
ies.rb:560:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/query_cache.rb:
36:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/abstract/connection_pool.rb:653:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/middleware/call
backs.rb:29:in “block in call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
88:in " _ run_callbacks_ '
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
778:1in "~ _run_call callbacks'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
8l:in “run_callbacks'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/middleware/call
backs.rb:27:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/remo
te_ip.rb:78:in ‘call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/debu
g_exceptions.rb:17:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/show
_exceptions.rb:30:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/rack/logger.rb:38:in ‘call_
app'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/rack/logger.rb:22:in “call'

\S)

/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/requ
est_id.rb:21:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/methodoverride.rb:22:in “call"
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/runtime.rb:18:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/cache/strateg
y/local_cache_middleware.rb:28:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/stat
ic.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/sendfile.rb:113:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/engine.rb:518:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/application.rb:165:in “call
T

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/railtie.rb:194:in “public_s
end’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/railtie.rb:194:in “method_m
issing'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/urlmap.rb:66:in "block in call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/urlmap.rb:50:in “each'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/urlmap.rb:50:in “call'

05/18/2024 6/7




/usr/lib/ruby/gems/1.8/gems/passenger—-4.0.18/1ib/phusion_passenger/rack/thread_handler_extension.r
b:77:in ‘process_request'
/usr/lib/ruby/gems/1.8/gems/passenger—4.0.18/1ib/phusion_passenger/request_handler/thread_handler.
rb:140:in "accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger—4.0.18/1ib/phusion_passenger/request_handler/thread_handler.
rb:108:in "main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger—-4.0.18/1ib/phusion_passenger/request_handler.rb:441:in “bloc
k (3 levels) in start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1
n “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i
n ‘block in create_with_logging_context'

Related issues:

Related to Foreman - Bug #16238: dashboard widget for latests events can be e... Closed 08/23/2016
Related to Foreman - Bug #16358: smart proxy puppet dashboard is broken Closed 08/29/2016
Has duplicate Foreman - Bug #16883: Cannot display Puppet info at SmartProxy ... Duplicate 10/12/2016

Associated revisions

Revision 153df7e9 - 09/22/2016 10:36 AM - Tomer Brisker
Fixes #16627 - Load puppet proxy dashboard

History

#1 - 09/21/2016 03:46 AM - Dominic Cleal
- Related to Bug #16238: dashboard widget for latests events can be exteramlly slow added

#2 - 09/21/2016 03:46 AM - Dominic Cleal
- Related to Bug #16358: smart proxy puppet dashboard is broken added

#3 - 09/21/2016 03:46 AM - Dominic Cleal
- Category set to Reporting

- translation missing: en.field_release set to 194

Caused by #16238 and fixed in #16358, but that also contained other changes.

#4 - 09/22/2016 05:27 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3875 added

#5 - 09/22/2016 06:37 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed

Merged in https:/github.com/theforeman/foreman/commit/153df7e9a87fefb7bf5c243baiff99565c2d83b5.

#6 - 10/13/2016 03:08 AM - Dominic Cleal
- Has duplicate Bug #16883: Cannot display Puppet info at SmartProxy page added

05/18/2024 7/7



https://projects.theforeman.org/issues/16238
https://projects.theforeman.org/issues/16358
https://github.com/theforeman/foreman/commit/153df7e9a87fefb7bf5c243ba1ff99565c2d83b5
http://www.tcpdf.org

